### Type parameters

- #### A

- #### B

- #### C

- #### D

### Hierarchy

- TransactGetRequestBase
  - TransactGetRequest4

## Index

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel

## Properties

### params

params: TransactGetItemsInput

Inherited from TransactGetRequestBase.params

- Defined in dynamo/transactget/transact-get.request.type.ts:7

## Methods

### exec

- exec(): Observable<[A, B, C, D]>

- - Defined in dynamo/transactget/transact-get.request.type.ts:40

  #### Returns Observable<[A, B, C, D]>

### execFullResponse

- execFullResponse(): Observable<TransactGetFullResponse<[A, B, C, D]>>

- - Defined in dynamo/transactget/transact-get.request.type.ts:38

  #### Returns Observable<TransactGetFullResponse<[A, B, C, D]>>

### execNoMap

- execNoMap(): Observable<TransactGetItemsOutput>

- Inherited from TransactGetRequestBase.execNoMap

  - Defined in dynamo/transactget/transact-get.request.type.ts:8

  #### Returns Observable<TransactGetItemsOutput>

### forModel

- forModel<E>(modelClazz: ModelConstructor<E>, key: Partial<E>): TransactGetRequest5<A, B, C, D, E>

- - Defined in dynamo/transactget/transact-get.request.type.ts:36

  #### Type parameters

  - #### E

  #### Parameters

  - ##### modelClazz: ModelConstructor<E>

  - ##### key: Partial<E>

  #### Returns TransactGetRequest5<A, B, C, D, E>

Generated using TypeDoc